<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__rtc_8h" kind="file" language="C++">
    <compoundname>cyhal_rtc.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="no">time.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__rtc_8c">cyhal_rtc.c</includedby>
    <incdepgraph>
      <node id="335">
        <label>stdbool.h</label>
      </node>
      <node id="333">
        <label>cyhal_rtc.h</label>
        <link refid="cyhal__rtc_8h" />
        <childnode refid="334" relation="include">
        </childnode>
        <childnode refid="335" relation="include">
        </childnode>
        <childnode refid="336" relation="include">
        </childnode>
      </node>
      <node id="334">
        <label>stdint.h</label>
      </node>
      <node id="336">
        <label>time.h</label>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcyhal__alarm__active__t">cyhal_alarm_active_t</innerclass>
    <innerclass prot="public" refid="structcyhal__rtc__dst__t">cyhal_rtc_dst_t</innerclass>
    <innerclass prot="public" refid="unioncyhal__rtc__dst__t_8____unnamed____">cyhal_rtc_dst_t.__unnamed__</innerclass>
    <innerclass prot="public" refid="structcyhal__rtc__dst__t_8____unnamed_____8____unnamed____">cyhal_rtc_dst_t.__unnamed__.__unnamed__</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__rtc_1gaae3e49201de8355a8b8f9bcfd88a2d0b" kind="define" prot="public" static="no">
        <name>CY_RSLT_RTC_NOT_INITIALIZED</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a14d37547bcd694a6e968b9acf3eadd7b">CYHAL_RSLT_MODULE_RTC</ref>, 0))</initializer>
        <briefdescription>
<para>RTC not initialized. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" bodystart="80" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="80" />
      </memberdef>
      <memberdef id="group__group__hal__results__rtc_1ga6c6143b437306d30ee23482cce83d461" kind="define" prot="public" static="no">
        <name>CY_RSLT_RTC_BAD_ARGUMENT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a14d37547bcd694a6e968b9acf3eadd7b">CYHAL_RSLT_MODULE_RTC</ref>, 1))</initializer>
        <briefdescription>
<para>Bad argument. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" bodystart="83" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="83" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__rtc_1ga65837a686b1fab2e3b11e0d3ba1fdafe" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_rtc_event_t</name>
        <enumvalue id="group__group__hal__rtc_1gga65837a686b1fab2e3b11e0d3ba1fdafea2bf87c0718ced4a1e2528575068bcc37" prot="public">
          <name>CYHAL_RTC_ALARM</name>
          <briefdescription>
<para>Alarm triggered event. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_rtc_event_t: </bold><linebreak />RTC interrupt triggers.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="93" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" bodystart="91" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="91" />
      </memberdef>
      <memberdef id="group__group__hal__rtc_1ga70f0bde8db19e6aacbbd72afc1fa3f9f" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_rtc_dst_format_t</name>
        <enumvalue id="group__group__hal__rtc_1gga70f0bde8db19e6aacbbd72afc1fa3f9fa9e7d7fe4b4c2061b0e3fa66417fafe88" prot="public">
          <name>CYHAL_RTC_DST_RELATIVE</name>
          <briefdescription>
<para>Relative DST format. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__rtc_1gga70f0bde8db19e6aacbbd72afc1fa3f9fabf285ab71718312d1764612ac46c78d1" prot="public">
          <name>CYHAL_RTC_DST_FIXED</name>
          <briefdescription>
<para>Fixed DST format. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_rtc_dst_format_t: </bold><linebreak />Enumeration used to configure the DST format.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="111" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" bodystart="107" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="108" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__rtc_1ga2fe62b8562ac40925a243c75b0e6810f" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cyhal_rtc_event_callback_t) (void *callback_arg, cyhal_rtc_event_t event)</definition>
        <argsstring>)(void *callback_arg, cyhal_rtc_event_t event)</argsstring>
        <name>cyhal_rtc_event_callback_t</name>
        <briefdescription>
<para>Handler for RTC events (eg: alarm) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" bodystart="137" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="137" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__rtc_1ga913818691e0a742dea9172d1dc255f5b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_rtc_init</definition>
        <argsstring>(cyhal_rtc_t *obj)</argsstring>
        <name>cyhal_rtc_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Initialize the RTC peripheral. </para>        </briefdescription>
        <detaileddescription>
<para>Powerup the RTC in preparation for access. This function must be called before any other RTC functions are called. This does not change the state of the RTC. It just enables access to it. NOTE: Before calling this, make sure all necessary System Clocks are setup correctly. Generally this means making sure the RTC has access to a crystal oscillator for optimal accuracy and operation in low power. NOTE: Previously set time configurations are retained. This will only reset the time if no prior configuration can be determined.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to an RTC object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="154" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__rtc_1ga4e9f272f48fcf83b09db4603c76b1d79" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_rtc_free</definition>
        <argsstring>(cyhal_rtc_t *obj)</argsstring>
        <name>cyhal_rtc_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Deinitialize RTC. </para>        </briefdescription>
        <detaileddescription>
<para>Frees resources associated with the RTC and disables CPU access. This only affects the CPU domain and not the time keeping logic. After this function is called no other RTC functions should be called except for rtc_init.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>RTC object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="165" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__rtc_1gac6891d0e8b9de6c32f46f179aa32b800" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool cyhal_rtc_is_enabled</definition>
        <argsstring>(cyhal_rtc_t *obj)</argsstring>
        <name>cyhal_rtc_is_enabled</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Check if the RTC has the time set and is counting. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>RTC object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Whether the RTC is enabled or not </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="172" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__rtc_1ga5c3f15f870f2ecfb4a8a03a58d1eaa5f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_rtc_read</definition>
        <argsstring>(cyhal_rtc_t *obj, struct tm *time)</argsstring>
        <name>cyhal_rtc_read</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>struct tm *</type>
          <declname>time</declname>
        </param>
        <briefdescription>
<para>Get the current time and date from the RTC peripheral. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>RTC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">time</parametername>
</parameternamelist>
<parameterdescription>
<para>The current time (see: <ulink url="https://en.cppreference.com/w/cpp/chrono/c/tm">https://en.cppreference.com/w/cpp/chrono/c/tm</ulink>) </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the read request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="180" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__rtc_1ga09180594a84d768f17d80e1262dce2b7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_rtc_write</definition>
        <argsstring>(cyhal_rtc_t *obj, const struct tm *time)</argsstring>
        <name>cyhal_rtc_write</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const struct tm *</type>
          <declname>time</declname>
        </param>
        <briefdescription>
<para>Write the specified time and date to the RTC peripheral. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>RTC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">time</parametername>
</parameternamelist>
<parameterdescription>
<para>The time to be set (see: <ulink url="https://en.cppreference.com/w/cpp/chrono/c/tm">https://en.cppreference.com/w/cpp/chrono/c/tm</ulink>) </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the write request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="188" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__rtc_1ga5e6893121f3be9026d5cf4cb10c008bf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_rtc_set_dst</definition>
        <argsstring>(cyhal_rtc_t *obj, const cyhal_rtc_dst_t *start, const cyhal_rtc_dst_t *stop)</argsstring>
        <name>cyhal_rtc_set_dst</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__rtc__dst__t">cyhal_rtc_dst_t</ref> *</type>
          <declname>start</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__rtc__dst__t">cyhal_rtc_dst_t</ref> *</type>
          <declname>stop</declname>
        </param>
        <briefdescription>
<para>Set the start and end time for Day Light Savings. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>RTC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">start</parametername>
</parameternamelist>
<parameterdescription>
<para>When Day Light Savings time should start </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">stop</parametername>
</parameternamelist>
<parameterdescription>
<para>When Day Light Savings time should end </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set_dst request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="197" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__rtc_1ga3e56df18a9506e3d25050d4dabe7fd4c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool cyhal_rtc_is_dst</definition>
        <argsstring>(cyhal_rtc_t *obj)</argsstring>
        <name>cyhal_rtc_is_dst</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Checks to see if Day Light Savings Time is currently active. </para>        </briefdescription>
        <detaileddescription>
<para>This should only be called after <ref kindref="member" refid="group__group__hal__rtc_1ga5e6893121f3be9026d5cf4cb10c008bf">cyhal_rtc_set_dst()</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>RTC object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Boolean indicating whether the current date/time is within the specified DST start/stop window. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="205" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__rtc_1ga4281bd53cab53fb245a1e98a618e1679" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_rtc_set_alarm</definition>
        <argsstring>(cyhal_rtc_t *obj, const struct tm *time, cyhal_alarm_active_t active)</argsstring>
        <name>cyhal_rtc_set_alarm</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const struct tm *</type>
          <declname>time</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcyhal__alarm__active__t">cyhal_alarm_active_t</ref></type>
          <declname>active</declname>
        </param>
        <briefdescription>
<para>Set an alarm (interrupt) for the specified time and date using the RTC peripheral. </para>        </briefdescription>
        <detaileddescription>
<para>This requires that a callback handler is registered by <ref kindref="member" refid="group__group__hal__rtc_1ga64761d1bb0c23aedc4329b50f8d3361d">cyhal_rtc_register_callback</ref> and that the <ref kindref="member" refid="group__group__hal__rtc_1gga65837a686b1fab2e3b11e0d3ba1fdafea2bf87c0718ced4a1e2528575068bcc37">CYHAL_RTC_ALARM</ref> event is enabled by <ref kindref="member" refid="group__group__hal__rtc_1ga92d82cf6e7ca376c5a41004d2d67cd4d">cyhal_rtc_enable_event</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>RTC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">time</parametername>
</parameternamelist>
<parameterdescription>
<para>The alarm time to be set (see: <ulink url="https://en.cppreference.com/w/cpp/chrono/c/tm">https://en.cppreference.com/w/cpp/chrono/c/tm</ulink>) </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">active</parametername>
</parameternamelist>
<parameterdescription>
<para>The set of fields that are checked to trigger the alarm </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set_alarm request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="217" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__rtc_1ga2b3a85af9b9b878e8cae824d5f847b88" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_rtc_set_alarm_by_seconds</definition>
        <argsstring>(cyhal_rtc_t *obj, const uint32_t seconds)</argsstring>
        <name>cyhal_rtc_set_alarm_by_seconds</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const uint32_t</type>
          <declname>seconds</declname>
        </param>
        <briefdescription>
<para>Set an alarm (interrupt) at a specified number of seconds in the future. </para>        </briefdescription>
        <detaileddescription>
<para>This requires that a callback handler is registered by <ref kindref="member" refid="group__group__hal__rtc_1ga64761d1bb0c23aedc4329b50f8d3361d">cyhal_rtc_register_callback</ref> and that the <ref kindref="member" refid="group__group__hal__rtc_1gga65837a686b1fab2e3b11e0d3ba1fdafea2bf87c0718ced4a1e2528575068bcc37">CYHAL_RTC_ALARM</ref> event is enabled by <ref kindref="member" refid="group__group__hal__rtc_1ga92d82cf6e7ca376c5a41004d2d67cd4d">cyhal_rtc_enable_event</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>RTC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">seconds</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of seconds in the future for the alarm to be set to. Because alarms cannot match the year (see <ref kindref="compound" refid="structcyhal__alarm__active__t">cyhal_alarm_active_t</ref>) the maximum number of seconds allowed is 365d*24h*60m*60s == 31,536,000s </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set_alarm_by_seconds request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="230" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__rtc_1ga64761d1bb0c23aedc4329b50f8d3361d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_rtc_register_callback</definition>
        <argsstring>(cyhal_rtc_t *obj, cyhal_rtc_event_callback_t callback, void *callback_arg)</argsstring>
        <name>cyhal_rtc_register_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__rtc_1ga2fe62b8562ac40925a243c75b0e6810f">cyhal_rtc_event_callback_t</ref></type>
          <declname>callback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
<para>Register a RTC event callback handler. </para>        </briefdescription>
        <detaileddescription>
<para>This function will be called when one of the events enabled by <ref kindref="member" refid="group__group__hal__rtc_1ga92d82cf6e7ca376c5a41004d2d67cd4d">cyhal_rtc_enable_event</ref> occurs.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The RTC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The callback handler which will be invoked when the alarm event fires </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>Generic argument that will be provided to the callback when called </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="240" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__rtc_1ga92d82cf6e7ca376c5a41004d2d67cd4d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_rtc_enable_event</definition>
        <argsstring>(cyhal_rtc_t *obj, cyhal_rtc_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>cyhal_rtc_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__rtc_1ga65837a686b1fab2e3b11e0d3ba1fdafe">cyhal_rtc_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Configure RTC event (eg: alarm) enablement. </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__rtc_1ga64761d1bb0c23aedc4329b50f8d3361d">cyhal_rtc_register_callback</ref> will be called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The RTC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>The RTC event type </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on interrupts, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="251" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Real Time Clock on Cypress devices. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="61"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;time.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="preprocessor">#define<sp />CY_RSLT_RTC_NOT_INITIALIZED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="81"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_RTC,<sp />0))</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="preprocessor">#define<sp />CY_RSLT_RTC_BAD_ARGUMENT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="84"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_RTC,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__rtc_1gga65837a686b1fab2e3b11e0d3ba1fdafea2bf87c0718ced4a1e2528575068bcc37">CYHAL_RTC_ALARM</ref>,<sp /></highlight></codeline>
<codeline lineno="93"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__rtc_1ga65837a686b1fab2e3b11e0d3ba1fdafe">cyhal_rtc_event_t</ref>;</highlight></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="96" refid="structcyhal__alarm__active__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal">{</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />en_sec<sp />:<sp />1;<sp /></highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />en_min<sp />:<sp />1;<sp /></highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />en_hour<sp />:<sp />1;<sp /></highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />en_day<sp />:<sp />1;<sp /></highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />en_date<sp />:<sp />1;<sp /></highlight></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />en_month<sp />:<sp />1;<sp /></highlight></codeline>
<codeline lineno="104"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcyhal__alarm__active__t">cyhal_alarm_active_t</ref>;</highlight></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal">{</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__rtc_1gga70f0bde8db19e6aacbbd72afc1fa3f9fa9e7d7fe4b4c2061b0e3fa66417fafe88">CYHAL_RTC_DST_RELATIVE</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__rtc_1gga70f0bde8db19e6aacbbd72afc1fa3f9fabf285ab71718312d1764612ac46c78d1">CYHAL_RTC_DST_FIXED</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="111"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__rtc_1ga70f0bde8db19e6aacbbd72afc1fa3f9f">cyhal_rtc_dst_format_t</ref>;</highlight></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="117" refid="structcyhal__rtc__dst__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal">{</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__rtc_1ga70f0bde8db19e6aacbbd72afc1fa3f9f">cyhal_rtc_dst_format_t</ref><sp />format;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />hour;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="123" refid="unioncyhal__rtc__dst__t_8____unnamed____" refkind="compound"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">union</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />dayOfMonth;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="126" refid="structcyhal__rtc__dst__t_8____unnamed_____8____unnamed____" refkind="compound"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="comment">/*<sp />format<sp />=<sp />CYHAL_RTC_DST_FIXED<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />dayOfWeek;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />weekOfMonth;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />};<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp />};<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />month;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="134"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcyhal__rtc__dst__t">cyhal_rtc_dst_t</ref>;</highlight></codeline>
<codeline lineno="135"><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<ref kindref="member" refid="group__group__hal__rtc_1ga2fe62b8562ac40925a243c75b0e6810f">cyhal_rtc_event_callback_t</ref>)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg,<sp /><ref kindref="member" refid="group__group__hal__rtc_1ga65837a686b1fab2e3b11e0d3ba1fdafe">cyhal_rtc_event_t</ref><sp />event);</highlight></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__rtc_1ga913818691e0a742dea9172d1dc255f5b">cyhal_rtc_init</ref>(<ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="155"><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__rtc_1ga4e9f272f48fcf83b09db4603c76b1d79">cyhal_rtc_free</ref>(<ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__rtc_1gac6891d0e8b9de6c32f46f179aa32b800">cyhal_rtc_is_enabled</ref>(<ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="173"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__rtc_1ga5c3f15f870f2ecfb4a8a03a58d1eaa5f">cyhal_rtc_read</ref>(<ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp />tm<sp />*time);</highlight></codeline>
<codeline lineno="181"><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__rtc_1ga09180594a84d768f17d80e1262dce2b7">cyhal_rtc_write</ref>(<ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp />tm<sp />*time);</highlight></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__rtc_1ga5e6893121f3be9026d5cf4cb10c008bf">cyhal_rtc_set_dst</ref>(<ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__rtc__dst__t">cyhal_rtc_dst_t</ref><sp />*start,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__rtc__dst__t">cyhal_rtc_dst_t</ref><sp />*stop);</highlight></codeline>
<codeline lineno="198"><highlight class="normal" /></codeline>
<codeline lineno="205"><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__rtc_1ga3e56df18a9506e3d25050d4dabe7fd4c">cyhal_rtc_is_dst</ref>(<ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="206"><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__rtc_1ga4281bd53cab53fb245a1e98a618e1679">cyhal_rtc_set_alarm</ref>(<ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp />tm<sp />*time,<sp /><ref kindref="compound" refid="structcyhal__alarm__active__t">cyhal_alarm_active_t</ref><sp />active);</highlight></codeline>
<codeline lineno="218"><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__rtc_1ga2b3a85af9b9b878e8cae824d5f847b88">cyhal_rtc_set_alarm_by_seconds</ref>(<ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint32_t<sp />seconds);</highlight></codeline>
<codeline lineno="231"><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__rtc_1ga64761d1bb0c23aedc4329b50f8d3361d">cyhal_rtc_register_callback</ref>(<ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__rtc_1ga2fe62b8562ac40925a243c75b0e6810f">cyhal_rtc_event_callback_t</ref><sp />callback,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg);</highlight></codeline>
<codeline lineno="241"><highlight class="normal" /></codeline>
<codeline lineno="251"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__rtc_1ga92d82cf6e7ca376c5a41004d2d67cd4d">cyhal_rtc_enable_event</ref>(<ref kindref="compound" refid="structcyhal__rtc__t">cyhal_rtc_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__rtc_1ga65837a686b1fab2e3b11e0d3ba1fdafe">cyhal_rtc_event_t</ref><sp />event,<sp />uint8_t<sp />intr_priority,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable);</highlight></codeline>
<codeline lineno="252"><highlight class="normal" /></codeline>
<codeline lineno="253"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="254"><highlight class="normal">}</highlight></codeline>
<codeline lineno="255"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="256"><highlight class="normal" /></codeline>
<codeline lineno="257"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CYHAL_RTC_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="258"><highlight class="normal" /><highlight class="preprocessor">#include<sp />CYHAL_RTC_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="259"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CYHAL_RTC_IMPL_HEADER<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="260"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" />
  </compounddef>
</doxygen>